<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */
// +----------------------------------------------------------------------+
// | PHP version 4/5                                                      |
// +----------------------------------------------------------------------+
// | This source file is a part of iScripts Multicart                     |
// +----------------------------------------------------------------------+
// | Authors: Programmer<programmer@armia.com>        		              |
// +----------------------------------------------------------------------+
// | Copyrights Armia Systems, Inc and iScripts.com ï¿½ 2005                |
// | All rights reserved                                                  |
// +----------------------------------------------------------------------+
// | This script may not be distributed, sold, given away for free to     |
// | third party, or used as a part of any internet services such as      |
// | webdesign etc.                                                       |
// +----------------------------------------------------------------------+
?>
<?php
include "includes/config.php";
include "includes/session.php";
include "includes/functions.php";
if(isset( $_SESSION["sess_userid"]) and $_SESSION["sess_userid"]!= ""){
$userid = $_SESSION["sess_userid"];
}
else
{
header("Location:".SITE_URL."/login.php");
exit;
}

if(isset($_SESSION["sess_guest_username"]) && $_SESSION["sess_guest_username"]!='')
{
$usertype='guest';
}
else
{
$usertype='user';
}

$gift_coupon_flag = 0;
$paypal_check = 0;

$adminCurrency	= GetAdminCurrency();
/** check paypal****************/
$sql = "SELECT * FROM ".$tableprefix."settings ";
$res = mysql_query($sql);
$row = mysql_fetch_array($res);
$auth_token = $row["paypalidentitytoken"];
$txtPaypalEmail = $row["paypalemail"];
$txtPaypalSandbox = $row["enablepaypalsandbox"];


//----------------Direct buyer to seller payment----------------------------//
$row_paypal = mysql_fetch_assoc(mysql_query("SELECT enable_buyerToseller FROM ".$tableprefix."settings "));

if($row_paypal["enable_buyerToseller"]=="Y"){
//  $txtPaypalEmail = "";
//$auth_token     = "";
if($_SESSION['SESS_ARTISTID']!='')
{	
$txtPaypalEmail = "";
$auth_token     = "";
$row_art = mysql_fetch_assoc(mysql_query("SELECT  paypalemail,paypalidentitytoken ,enablepaypalsandbox FROM ".$tableprefix."artists WHERE artist_id=".$_SESSION['SESS_ARTISTID']));
$txtPaypalEmail=$row_art['paypalemail'];
$auth_token = $row_art["paypalidentitytoken"];
$txtPaypalSandbox = $row_art["enablepaypalsandbox"];
}

}

if($txtPaypalSandbox == "Y"){

$paypalurl = "www.sandbox.paypal.com";

}else{

$paypalurl = "www.paypal.com";

}

/*******************************/

$currency_attributes = displayCurrencyType();

$totaltopay=getCartTotal($userid);

$totaltopay = number_format($totaltopay,2,".","");

$amount_compare = number_format($_GET['amt'],2,".","");


/*echo  $paypalurl;

echo "<br>";

echo "AuthToken----------".$auth_token;

echo "<br>";*/


//----------------Direct buyer to seller payment ends here----------------------------//

$flag_to_continue=false;


// check Payment Success page retun back with transaction key

if($_GET['tx']!='' && $_GET['amt']!='') { 

if($auth_token!='')
{

//Data check for PDT and proceeded further
// read the post from PayPal system and add 'cmd'
$req = 'cmd=_notify-synch';

$tx_token = $_GET['tx'];

//echo "Token".$auth_token;

//$auth_token = "Yl95T6hgNiiI3TsU4VYxHabtIiy-AZzCP5ks92AzLz3We2Jknt5lhx-wQtK";
//$auth_token="DQ8jgAhGTxqV-7sdW1iCXsKw_fg_qWt2cW2XlLCA6HenqkLxmEQGbEX4jBC";
$req .= "&tx=$tx_token&at=$auth_token";

// post back to PayPal system to validate
$header .= "POST /cgi-bin/webscr HTTP/1.0\r\n";
$header .= "Content-Type: application/x-www-form-urlencoded\r\n";
$header .= "Content-Length: " . strlen($req) . "\r\n\r\n";
$fp = fsockopen ($paypalurl, 80, $errno, $errstr, 30);

// If possible, securely post back to paypal using HTTPS
// Your PHP server will need to be SSL enabled
//$fp = fsockopen ('ssl://www.sandbox.paypal.com', 443, $errno, $errstr, 30);

if (!$fp) 
{
//echo "socket error";
// HTTP ERROR
} else {
fputs ($fp, $header . $req);
// read the body data
$res = '';
$headerdone = false;
while (!feof($fp)) {
$line = fgets ($fp, 1024);

/*echo "<pre>";

print_r($line);

echo "</pre>";*/

if (strcmp($line, "\r\n") == 0) {
// read the header
$headerdone = true;
}
else if ($headerdone)
{
// header has been read. now read the contents
$res .= $line;
}
}

// parse the data
$lines = explode("\n", $res);
$keyarray = array();

if (strcmp ($lines[0], "SUCCESS") == 0) {
for ($i=1; $i<count($lines);$i++){
list($key,$val) = explode("=", $lines[$i]);
$keyarray[urldecode($key)] = urldecode($val);
}
// check the payment_status is Completed
// check that txn_id has not been previously processed
// check that receiver_email is your Primary PayPal email
// check that payment_amount/payment_currency are correct
// process payment
$flag_to_continue=true;
}
else if (strcmp ($lines[0], "FAIL") == 0) {
// log for manual investigation
//		echo("Fail in result");
$flag_to_continue=false;
}

}

if($txtPaypalSandbox=='Y')
    {
    $flag_to_continue=true;
}
//$flag_to_continue	=true;

if($flag_to_continue == true){
//echo "successs";
;
}else{

 header("Location:failure.php");
//echo "<script>alert(\"Invalid request.Please try again later\");</script>";
//echo "<script>location.href='index.php';</script>";*/
exit;

}

    }

    else
        {

            if(isset($_SESSION['SESS_pay_amount']) && $_SESSION['SESS_pay_amount'] != "")
            {
                           $flag_to_continue	=true;
            }
      }

/*---------checking if there is any difference in amounts------*/

if(isset($_SESSION['SESS_pay_amount']) && $_SESSION['SESS_pay_amount'] != "")
{
if($_SESSION['SESS_pay_amount'] == $amount_compare)
{
$paypal_check = 0;
}
}


if($paypal_check==0)
{
if(function_exists('session_unregister')){
    session_unregister($_SESSION['SESS_pay_amount']);
}
else{
    
      unset($_SESSION['SESS_pay_amount']);
}

}


if(isset($_SESSION['SESS_pay_amount']) && $_SESSION['SESS_pay_amount'] != "")
{
if($_SESSION['SESS_pay_amount'] != $amount_compare)
{
$paypal_check = 1;
}
}


/*---------checking if there is any difference in amounts------*/

/*-------function call to check whether cart contains digital or gift coupon products so as to hide shipping---*/

$hide_shipping_division = hideShipping();

/*-------function call to check whether cart contains digital or gift coupon products so as to hide shipping------*/


$check_shipping_enable = checkShippingEnable();

if($check_shipping_enable == "Y" && $hide_shipping_division == 1)
{

$shipping_cost = $_SESSION['SHIPPING_TOTAL'];
$shipping_cost=number_format($shipping_cost,2,".","");

$totaltopay = $totaltopay + $shipping_cost;

$totaltopay=number_format($totaltopay,2,".","");

}





$totaltaxrate=number_format($_SESSION["TAX_TOTAL"],2,".","");
//shipping cost


if(isset($_SESSION['couponCode_det'])&& $_SESSION['couponCode_det']!='' ){
$nameCouponCode=",couponCode,couponCodeDiscount";
$valueCouponCode=',"'.$_SESSION['couponCode_det']['ccCode'].'",'.$_SESSION['couponCode_det']['ccDiscount'];	
$sql_updatecouponCode="UPDATE  " .$tableprefix. "couponCode SET subscriptionStatus='N' WHERE ccID =".$_SESSION['couponCode_det']['ccID'];
mysql_query($sql_updatecouponCode);
unset($_SESSION['couponCode_det']);
}

// Check Transaction is already Done Through Ipn , check order Alreay placed or not 

$duplicateorder		=0;

 $sql_order_check	=	"SELECT order_id FROM " .$tableprefix. "orders
WHERE transaction_id='".addslashes($_GET['tx'])."' ";
$rs_order_check		=	mysql_query($sql_order_check)or die(mysql_error());	

if(mysql_num_rows($rs_order_check)>0)
{
    $duplicateorder	=	1;
}	

// End 


//echo $duplicateorder;


if($paypal_check==0 and $duplicateorder==0)
{ // check if paypal is success

// UPDATING PRODUCT COUNT

$query_cart = "SELECT product_option_id,quantity 
                 FROM " .$tableprefix. "cart c
                WHERE c.user_id = ".$_SESSION['sess_userid'];
$result_cart = mysql_query($query_cart);
while($row_cart = mysql_fetch_array($result_cart))
{
    $productOptionId = $row_cart['product_option_id'];
    $quantity = $row_cart['quantity'];
    $update_query = "UPDATE " .$tableprefix. "product_options set product_stock=product_stock-".$quantity." where product_option_id=".$productOptionId;
}



// UPDATING PRODUCT COUNT
    
    
    
    

$amountpaid	= number_format($_SESSION['amount_paid'],2,".","");

$sql = "INSERT INTO  " .$tableprefix. "orders (
user_id,
billing_first_name,
billing_last_name,
billing_address1,
billing_address2,
billing_city,
billing_state,
billing_country,
billing_zip,
billing_fax,
billing_email,
billing_phone,
shipping_first_name,
shipping_last_name,
shipping_address1,
shipping_address2,
shipping_city,
shipping_state,
shipping_country,
shipping_zip,
shipping_fax,
shipping_email,
shipping_phone,
prefered_shippin_method,
order_date,
order_total_price,
taxrate,
order_status,
transaction_id,
vorder_currency".$nameCouponCode.",
namount_paid,
buyer_comments,
vpayment_status
) VALUES(
'".addslashes($_SESSION["sess_userid"])."',
'".addslashes($_SESSION["sessBillingFirstName"])."',
'".addslashes($_SESSION["sessBillingLastName"])."',
'".addslashes($_SESSION["sessBillingAddress1"])."',
'".addslashes($_SESSION["sessBillingAddress2"])."',
'".addslashes($_SESSION["sessBillingCity"])."',
'".addslashes($_SESSION["sessBillingState"])."',
'".addslashes($_SESSION["sessBillingCountry"])."',
'".addslashes($_SESSION["sessBillingZIP"])."',
'".addslashes($_SESSION["sessBillingFAX"])."',
'".addslashes($_SESSION["sessBillingEmail"])."',
'".addslashes($_SESSION["sessBillingPhone"])."',
'".addslashes($_SESSION["sessShippingFirstName"])."',
'".addslashes($_SESSION["sessShippingLastName"])."',
'".addslashes($_SESSION["sessShippingAddress1"])."',
'".addslashes($_SESSION["sessShippingAddress2"])."',
'".addslashes($_SESSION["sessShippingCity"])."',
'".addslashes($_SESSION["sessShippingState"])."',
'".addslashes($_SESSION["sessShippingCountry"])."',
'".addslashes($_SESSION["sessShippingZIP"])."',
'".addslashes($_SESSION["sessShippingFAX"])."',
'".addslashes($_SESSION["sessShippingEmail"])."',
'".addslashes($_SESSION["sessShippingPhone"])."',
'".addslashes( $_SESSION["sessShippingDisplayName"])."',
now(),
'".addslashes($totaltopay)."',
'".addslashes($totaltaxrate)."',
'1',
'".addslashes($tx_token)."',
'".$currency_attributes[2]."'".$valueCouponCode.",
'".addslashes($amountpaid)."',
'".addslashes($_SESSION["SESS_BUYER_COMMENTS"])."',
'C'
)";
mysql_query($sql);
$orderid = mysql_insert_id();


// Updating Buying Process using Gift Certificate Code 

if($_SESSION['sess_giftcertificate_code'] != '' &&  $_SESSION['sess_gift_amount_used'] !='')
{
$sql_up		="UPDATE " .$tableprefix. "orders SET vgiftcertificate_code='".addslashes($_SESSION['sess_giftcertificate_code'])."',
nused_gift_amount=(nused_gift_amount + ".$_SESSION['sess_gift_amount_used']." )WHERE order_id='".$orderid."' ";
$rs_up		=mysql_query($sql_up) or die(mysql_error());

$sql_gift	="UPDATE " .$tableprefix. "giftcertificates SET nused_gift_amount=(nused_gift_amount + ".$_SESSION['sess_gift_amount_used']." )
WHERE vgift_coupon_code ='".addslashes($_SESSION['sess_giftcertificate_code'])."' ";
$rs_gift	=mysql_query($sql_gift) or die(mysql_error());				

}

// End Gift Certificate Updation

// Store Coupon Code Details to Order Table // Modified By Asha ON 21-02-2011
if($_SESSION['couponCode_det']!='')
{
// Update Order with Coupon Code Discount
$sql_coupon_update="UPDATE " .$tableprefix. "orders SET  couponCodeDiscount ='".$_SESSION['couponCode_det']['ccDiscount']."', couponCode ='".$_SESSION['couponCode_det']['ccCode']."' where order_id='".$orderid."' ";
$rs_update_c=mysql_query($sql_coupon_update) or die(mysql_error());
// End Update
}
// End Coupon Code Modification


$check_shipping_enable = checkShippingEnable();

if($check_shipping_enable == "Y" && $hide_shipping_division == 1)
{

/*---------------inserting the shipping details----------------*/

$select_cart_products = "SELECT c.product_option_id,c.product_id,p.product_name,po.product_shipping_weight FROM ".$tableprefix."cart c
INNER JOIN ".$tableprefix."product_options po ON po.product_option_id = c.product_option_id
INNER JOIN ".$tableprefix."products p ON p.product_id = po.product_id
WHERE c.user_id = ".$_SESSION["sess_userid"];

$result_cart_products = mysql_query($select_cart_products) or die(mysql_error());

if(mysql_num_rows($result_cart_products) > 0)
{

while($cart_obj = mysql_fetch_object($result_cart_products))
{

if(isset($_SESSION["SHIPPING_DETAILS"][$cart_obj->product_option_id]['preffered_shipping'])) {
$product_name = $cart_obj->product_name;
$optionVal = getProductOptionsName($cart_obj->product_option_id);
$shipping_name = $_SESSION["SHIPPING_DETAILS"][$cart_obj->product_option_id]['preffered_shipping'];
$shipping_cost = $_SESSION["SHIPPING_DETAILS"][$cart_obj->product_option_id]['rate'];
$product_shipping_weight = $cart_obj->product_shipping_weight;
$ship_product_option_id  = $cart_obj->product_option_id;
$product_name .= $optionVal;
$insert_shipping = "INSERT INTO ".$tableprefix."shipping_details
(
norder_id,
vshipping_currency,
dshipped_date,
nshp_status,
user_id,
nshp_productid,
nproduct_option_id,
nshp_productname,
vshipping_name,
nshipping_cost,
nshipping_weight
)
VALUES
(
".$orderid.",
'".$currency_attributes[2]."',
now(),
'C',
'".addslashes($_SESSION["sess_userid"])."',
".$cart_obj->product_id.",
".$ship_product_option_id.",
'".addslashes($product_name)."',
'".addslashes($shipping_name)."',
'".$shipping_cost."',
'".$product_shipping_weight."'
)
";
mysql_query($insert_shipping) or die(mysql_error());
}

} // end while

} // end if		


} // end of shipping if 


/************************** Affilate payment block*********************************************/

$sql = "select * from  " .$tableprefix."users where user_id='".addslashes($_SESSION["sess_userid"])."'";
$result = mysql_query($sql);
$row = mysql_fetch_array($result);
if ($row["affiliate_id"] != "" && $row["affiliate_id"] != "0" && $row["vaff_type"] != "paid") 
{
$aid=$row['affiliate_id'];
$userid=$row['user_id'];
$txtUserName=$row['user_name'];
$txtFirstName=$row['first_name'];
$txtEmail=$row['email'];
$txtorderdamount=$totaltopay;
$sql1 = "SELECT * FROM ".$tableprefix."settings ";
$result1 = mysql_query($sql1);
if(mysql_num_rows($result1) != 0)
{
$row1 = mysql_fetch_array($result1);

/*referral charge calculation based on the currency type*/					

$txtReferralCharge =  $row1["referral_charge"];

}
$var_aff_comm = ($txtorderdamount * $txtReferralCharge / 100);

$sql2 = "INSERT INTO ".$tableprefix."affiliate_registrations (
affiliate_id,
user_id,
order_id,
user_name ,
user_first_name,
user_last_name,
user_email,
referral_charge,
registration_date,
user_totalpurchasedamount
) VALUES (
'".addslashes($aid)."',
'".addslashes($userid)."',
'".addslashes($orderid)."',
'".addslashes($txtUserName)."',
'".addslashes($txtFirstName)."',
'".addslashes($txtLastName)."',
'".addslashes($txtEmail)."',
'".addslashes($var_aff_comm)."',
now(),'$totaltopay'
)";
mysql_query($sql2);

$sql3 = " update " . $tableprefix . "users set vaff_type='paid' where user_id='".addslashes($_SESSION["sess_userid"])."'";
$result3 = mysql_query($sql3);

} // end if Affiliate Registraion

/************************** Affilate payment block*********************************************/
//echo "sql==".$sql."<br><br>";

$product_download_details = "Product Download Details\r\n";
$product_download_details .= "-----------------------\r\n";
$product_download_flag = 0;
$download_link = "";			

$sql = "SELECT c.*,(p.product_price+po.additional_price) AS product_price,p.product_name,p.product_code,p.product_artist_id,po.discount,
						p.vdigital_product,ar.commission
				FROM " . $tableprefix . "cart c
                                INNER JOIN " . $tableprefix . "product_options po ON po.product_option_id = c.product_option_id
                                INNER JOIN " . $tableprefix . "products p ON p.product_id = po.product_id
                                INNER JOIN " . $tableprefix . "artists ar ON ar.artist_id = p.product_artist_id
				WHERE c.user_id = '".addslashes($_SESSION["sess_userid"])."' ";
$res = mysql_query($sql);
$artists = array();
if(mysql_num_rows($res) != 0)
{
$i=0;
while($row = mysql_fetch_array($res))
{
$productid = $row["product_id"];
$product_option_id = $row["product_option_id"];
$quantity = $row["quantity"];

/*product price is calculated based on currency type*/

$converted_price = $row["product_price"];

$productprice = number_format($converted_price,2,".","");

//$productprice =  $row["product_price"];

$productname = $row["product_name"];
$optionVal   = getProductOptionsName($product_option_id);
$productname .= $optionVal;
$productcode =  $row["product_code"];
$productdiscount = $row["discount"];
$artistid = $row["product_artist_id"];

/*========================================Gift Certificate Section=================================*/					
$select_gift_code = "SELECT vgift_coupon_code,ngift_coupon_amount
FROM ".$tableprefix."giftcoupon_master 
WHERE ngift_product_id = ".$productid;
$result_gift_code = mysql_query($select_gift_code) or die(mysql_error());
if(mysql_num_rows($result_gift_code)>0)
{ // start of first if
$gift_coupon_product_id = $productid;
while($gift_code_row = mysql_fetch_array($result_gift_code))
{ // start of while 2
/*--------------------creating random gift coupon code and updating the database-----------------------*/
$gift_coupon_code = "GC".randomGiftCouponKey();

$giftamount			= $productprice * $quantity;

$insert_coupon_code = "INSERT INTO ".$tableprefix."giftcertificates(vgift_coupon_code,ngift_product_id,
ngift_order_id,ngift_coupon_amount,user_id,seller_id)
VALUES('".$gift_coupon_code."',
".$row["product_id"].",
".$orderid.",
".$giftamount.",'".$userid."','".$artistid."')";

mysql_query($insert_coupon_code) or die(mysql_error());
}		

$gift_coupon_flag = 1;

} // end of mysql number of rows check 


//=======================End Gift Certificate Section ===================================


if($row['vdigital_product'] == "Y")
{

$digital_product_id = $row["product_id"];														

$select_product_digital_code = "SELECT vdigital_product_name,vdigital_product_code,ndownload_try,ndownload_expiry,ndownload_expiry_days 
FROM ".$tableprefix."digital_product 
WHERE ndigital_productid = ".$row["product_id"]." AND ndigital_orderid =0 ";
$result_product_digital_code = mysql_query($select_product_digital_code);

if(mysql_num_rows($result_product_digital_code) > 0)
{
while($product_digital_code_row = mysql_fetch_array($result_product_digital_code))
{
/*--------------------creating random product download code and updating the database-----------------------*/

$digital_product_code = randomDigitalProduct();

$expiry_days = 	$product_digital_code_row['ndownload_expiry_days'];							  

$valid_date_upto = date("Y-m-d H:s:m",mktime(date("H"),date("i"),date("s"),date("m"),date("d")+$expiry_days,date("Y")));

/*-------Calculating the download expiry days----------*/	
/*$update_product_digital_code = "UPDATE ".$tableprefix."digital_product 
SET vdigital_product_code = '".$digital_product_code."',
ndigital_orderid = ".$orderid.",
ndownload_expiry = '".$valid_date_upto."'  	 
WHERE ndigital_productid = ".$row["product_id"];
mysql_query($update_product_digital_code) or die(mysql_error());*/

/*---------selecting the download try and download expiry date-----------*/

$select_digital_product_details = "SELECT ndownload_try,ndownload_expiry 
FROM ".$tableprefix."digital_product WHERE ndigital_productid = ".$productid;
$result_digital_product_details = mysql_query($select_digital_product_details) or die(mysql_error());

$digital_product_details_row = mysql_fetch_assoc($result_digital_product_details);								   

$product_download_try = $digital_product_details_row["ndownload_try"];
$download_expiry_date = $digital_product_details_row["ndownload_expiry"];
/*---------selecting the download try and download expiry date-----------*/


$select_digital_count = "SELECT ndigital_id FROM ".$tableprefix."digital_product WHERE ndigital_orderid = ".$orderid;
$result_digital_count = mysql_query($select_digital_count) or die(mysql_error());
//echo "digital count = ".mysql_num_rows($result_digital_count)."\n";
//echo "order count = ".$row["quantity"];
for($i=1;$i<=$row["quantity"];$i++)
//if(mysql_num_rows($result_digital_count) <= $row["quantity"])
{
/*-------Calculating the download expiry days----------*/	
$expiry_days = 	$product_digital_code_row['ndownload_expiry_days'];							  
$valid_date_upto = date("Y-m-d H:s:m",mktime(date("H"),date("i"),date("s"),date("m"),date("d")+$expiry_days,date("Y")));
/*-------Calculating the download expiry days----------*/	
$digital_product_code = randomDigitalProduct();
$insert_product_digital_code = "INSERT INTO ".$tableprefix."digital_product(vdigital_product_name,ndigital_productid,
ndigital_orderid,vdigital_product_code,ndownload_try,ndownload_count,ndownload_expiry,ndownload_expiry_days,
ndownload_status)VALUES('".addslashes($product_digital_code_row['vdigital_product_name'])."',
".$row["product_id"].",
".$orderid.",
'".$digital_product_code."',
".$product_digital_code_row['ndownload_try'].",0,
'".$valid_date_upto."',".addslashes($product_digital_code_row['ndownload_expiry_days']).",0)";
mysql_query($insert_product_digital_code) or die(mysql_error());
}	// end for loop 
//exit;
} // end ehile 


} // emd if number of rows check 

$product_download_flag = 1;



} // end digital product check 

/*----------------------------------End check Digital Products--------------------------------------------------
/*----------------------------------Updating Gift Products----------------------------------------------------------*/							

$product_tax    = $_SESSION["TAX_DETAILS"][$product_option_id];

   // Product Based Commission Calculation

                                $price_amt  = $productprice * $quantity;


                                if($row['discount']!=0)
                                    {

                                        $discountprice		=	$productprice-($productprice*$row["discount"])/100;
                                        $discountprice 		=	number_format($discountprice,2,".","");

                                        $discount_amount        = $discountprice * $quantity;

                                    }

                                    else
                                        {
                                            $discount_amount  = $price_amt;
                                    }


                                $product_commission_amt = ($discount_amount * $row["commission"])/100;


                                 // Product Based Commission Calculation End 

$sql = "INSERT INTO  " . $tableprefix . "order_details (
order_id,
product_id,
product_name,
product_code,
product_price,
product_quantity,
product_discount,
artist_id,
item_status,
artist_payment_status,
product_tax,
product_option_id,
product_commission_amount
)VALUES(
'".addslashes($orderid)."',
'".addslashes($productid)."',
'".addslashes($productname)."',
'".addslashes($productcode)."',
'".addslashes($productprice)."',
'".addslashes($quantity)."',
'".addslashes($productdiscount)."',
'".addslashes($artistid)."',
'1',
'0',
'".$product_tax."',
'".$product_option_id."',
'".$product_commission_amt."'
)";
mysql_query($sql);



//echo "sql==".$sql."<br><br>";
$artists[$i] = $artistid;
$i++;
$sql = "";

if($product_download_flag == 1)
{
$update_order_details = "UPDATE ".$tableprefix."order_details 
SET item_status = 4 
WHERE order_id  = ".$orderid." AND product_id = ".$digital_product_id;
mysql_query($update_order_details) or die(mysql_error());
}
$reorderlevelcheck=checkSellerStock($product_option_id,$quantity);

if($reorderlevelcheck==1)
{
// Send Stock Reorder Mail To Seller
sendStockreordermail($product_option_id,$quantity);
}

} // end while 
} // end number of rows 

} // end if pay pal success check 

if($paypal_check == 0 and $duplicateorder==0)
{
/*--------Updating the order status to 'delivered' if the product purchased is gift coupon------------*/		
if($gift_coupon_flag == 1)
{

$update_order_details = "UPDATE ".$tableprefix."order_details 
SET item_status = 4 
WHERE order_id  = ".$orderid." ";
mysql_query($update_order_details) or die(mysql_error());								 

}	// end if gift flag 

$current_date=date('Y-m-d');

if($row_paypal["enable_buyerToseller"]=="Y")
{
$second_seller = false;
if($_SESSION['SESS_ARTISTID']!=''){
///////// Insert in to artists payments.......
$sqlpayment = "INSERT INTO " . $tableprefix . "artist_payments (artist_id,order_id,commission_percentage,total_amount,amount_paid,date_marked_for_payment,payment_date,payment_status)
VALUES ('".addslashes($artistid)."','".addslashes($orderid)."','0','".addslashes($totaltopay)."','".addslashes($totaltopay)."','".addslashes($current_date)."','".addslashes($current_date)."','C') ";
mysql_query($sqlpayment);
$paymentid  = mysql_insert_id();
$sql        = "UPDATE " . $tableprefix . "order_details SET artist_payment_status = '3', artist_payment_id = '".addslashes($paymentid)."' WHERE order_id  = '".addslashes($orderid)."' AND artist_id = '".addslashes($artistid)."'  ";
mysql_query($sql);
}

}

/*--------Updating the order status to 'delivered' if the product purchased is digital product------------*/			
}

if($paypal_check == 0 and $duplicateorder==0)
{
/*------------Checking whether the amount sent to paypal is equal to amount paid----------*/			
if($product_download_flag == 1)
{
    $update_order_details = "UPDATE ".$tableprefix."order_details 
    SET item_status = 4 
    WHERE order_id  = ".$orderid.
    " AND product_id = ".$digital_product_id;
    mysql_query($update_order_details) or die(mysql_error());
}
/*--------Updating the order status to 'delivered' if the product purchased is digital product------------*/			
}

if($paypal_check == 0 and $duplicateorder==0)
{
/*-----------------Digital Product Mail Sending Starts----------------*/
if($product_download_flag == 1)
{

 if (function_exists('session_unregister')) {
    (isset($_SESSION['SESS_digital_product']))?session_unregister('SESS_digital_product'):$_SESSION['SESS_digital_product'] = "";
 }
 else{
     unset($_SESSION['SESS_digital_product']);
 }
$_SESSION['SESS_digital_product'] = 1;

}	
/*-----------------Digital Product Mail Sending Ends----------------*/

// Send Giftcertificate Mails 
if($gift_coupon_flag == 1)
{
sendgiftCertificateMail_Buyer($orderid,$_SESSION["sess_userid"],$usertype);
sendgiftCertificateMail_Seller($orderid,$_SESSION["sess_userid"]);
sendgiftCertificateMail_Admin($orderid,$_SESSION["sess_userid"]);
}

//Send Digital Certificate Mails

if($product_download_flag == 1)
{
sendDigitalCertificateMail_Buyer($orderid,$_SESSION["sess_userid"],$usertype);
sendDigitalCertificateMail_Seller($orderid,$_SESSION["sess_userid"]);
sendDigitalCertificateMail_Admin($orderid,$_SESSION["sess_userid"]);
}


if($product_download_flag!=1 && $gift_coupon_flag!=1)
{
sendBuyerEmail($orderid,$_SESSION["sess_userid"],$usertype);
sendSellerEmail($orderid,$_SESSION["sess_userid"]);
sendAdminEmail($orderid,$_SESSION["sess_userid"]);

}

//Send Mail To Buyer 

} // end if paypal check 


    if($paypal_check == 0 and $duplicateorder==0)
    {

    adjustStock($_SESSION["sess_userid"],"-" );
    emptyCart($_SESSION["sess_userid"]);
    $_SESSION["sess_addresses_collected"] = false;
    $_SESSION["sess_stock_adjusted"] = false;
    $_SESSION['couponCode_det']='';
    if(isset($_SESSION['guest_login']) && $_SESSION['guest_login']!='')
    {
        if(function_exists('session_unregister')){
            session_unregister($_SESSION['guest_login']);
            session_unregister($_SESSION['sess_userid']);
        }
        else{
            unset($_SESSION['guest_login']);
            unset($_SESSION['sess_userid']);
        }
    $_SESSION['guest_login']='';
    $_SESSION["sess_userid"]='';
    }
    $_SESSION["sess_guest_username"]='';
    $_SESSION["sess_guest_password"]='';
    $_SESSION["sessShippingDisplayName"]='';
    $_SESSION['sess_giftcertificate_code']='';
    $_SESSION['sess_gift_amount_used']='';
    $_SESSION['amount_paid']='';
    $_SESSION['sess_giftcertificate_available_amt']='';
    $_SESSION["SESS_BUYER_COMMENTS"] ='';
    $_SESSION["TAX_TOTAL"] ='';
    unset($_SESSION['SHIPPING_TOTAL']);
    $_SESSION["SHIPPING_DETAILS"]   =array();
    unset($_SESSION["SHIPPING_DETAILS"]);
    unset($_SESSION["TAX_DETAILS"]);
    unset($_SESSION['couponCode_det']);

    header("location:success.php?msg=success");
    exit;

    }

} // End Transaction Id REturn BAck Check



/*display the active template*/

$active_template = displayTemplate();


include "includes/htmltop.php";

/* Top File Name */

include_once ("includes/".$active_template[0]);


?>
<div align="left" class="main_body">

<!--mainbody area start -->


<!--center content area start-->		

<div align="left" id="item_details">


<!--items display area start -->

<div align="left" id="items_top_area">

<div align="left" id="items_top_area_ttl"><?php echo PAY_SUCCESS_TEXT;?></div>
</div>

<div>&nbsp;</div>

<div class="text_information" align="center"><?php echo $message?></div>

<div align="center" id="items_display_area">
<?php

if($check_shipping_enable == "Y")
{
    if(function_exists('session_unregister'))
        {
            session_unregister('SESS_upstype');
            session_unregister('SHIPPING_TOTAL');
            session_unregister('SESS_upsweight');
    
        }else{
            
                unset($_SESSION['SESS_upstype']);
                unset($_SESSION['SHIPPING_TOTAL']);
                unset($_SESSION['SESS_upsweight']);
        }

}	
// Checking the paypal payment 	
if($paypal_check == 1)
{
?>
<table cellpadding="0" cellspacing="0" width="100%">
<tr>
<td class="text_information" align="center">																																	
<?php echo ORDER_UNPROCESSED_TEXT;?>
</td>
</tr>
<?php
}
else
{
?>			
<table cellpadding="0" cellspacing="0" width="100%">
<tr>
<td class="text_information" align="center">																																	
<b style="background-color:#000000; margin-bottom:15px;  font-family:Arial, Helvetica, sans-serif; font-size:12px; padding:10px 10px 10px 10px; color:#67CB1A;"><?php echo ORDER_PLACED_SUCESS_TEXT;?></b>
</td>
</tr>
<tr>
<td height="8" align="center" ></td>
</tr>
<?php

if(isset($_SESSION['SESS_digital_product']) && $_SESSION['SESS_digital_product']!='')
{
?>		
<tr>
<td colspan="3" align="center" class="text_information">
<b style="background-color:#000000; margin-bottom:15px; font-family:Arial, Helvetica, sans-serif; font-size:12px; padding:10px 10px 10px 10px; color:#67CB1A;"><?php echo PRODUCT_LINK_MAIL_TEXT;?></b>
</td>
</tr>
<?php
}

}
$_SESSION['SESS_digital_product']='';
if(function_exists('session_unregister')){
    session_unregister($_SESSION['SESS_digital_product']);
}  else {
    unset($_SESSION['SESS_digital_product']);
}
// Checking the paypal payment
?>					
<tr>
<td>&nbsp;</td>
</tr>
<tr>
<td align="center">
<input type='button' value='<?php echo HOME_LINK;?>'  class='button' onClick="window.location.href='index.php'">
&nbsp;&nbsp;<input type='button' value='<?php echo CONTINUE_SHOPPING_BUTTON;?>'  class='button' onClick="window.location.href='categorydetail.php'">
</td>
</tr>
</table>
</div>					

<div align="left" class="float_clear1"></div>
<!--items display area end -->
</div>
<!--center content area end-->	
<div align="left" class="clear"></div>		
<!--mainbody area end -->
</div>
<div align="left" class="clear"></div>


<?php
include "includes/".$active_template[2];	/* Bottom File Name */
?>															